export declare const SessionStorageUtil: StorageOptions;
export declare const LocalStorageUtil: StorageOptions;
interface StorageOptions {
    get<T = any>(key: string): T | null;
    set(key: string, value: any, expires?: number): void;
    remove(key: string): void;
    clear(): void;
}
export declare function createStorageFactory(storageType: 'sessionStorage' | 'localStorage'): StorageOptions;
export {};
